Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/distrib/acorn32 Don't use full pathname as template for mktemp.



details:   https://anonhg.NetBSD.org/src/rev/0f598ff9c45b
branches:  trunk
changeset: 566977:0f598ff9c45b
user:      gavan <gavan%NetBSD.org@localhost>
date:      Wed May 26 23:46:16 2004 +0000

description:
Don't use full pathname as template for mktemp.

diffstat:

 distrib/acorn32/mksparkive.sh |  7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

diffs (25 lines):

diff -r 204c9eecd837 -r 0f598ff9c45b distrib/acorn32/mksparkive.sh
--- a/distrib/acorn32/mksparkive.sh     Wed May 26 23:16:25 2004 +0000
+++ b/distrib/acorn32/mksparkive.sh     Wed May 26 23:46:16 2004 +0000
@@ -124,7 +124,7 @@
                fi
                if [ -d "$file" ]
                then
-                       temp=`mktemp -t $0` || exit 1
+                       temp=`mktemp -t $progname` || exit 1
                        (
                                cd "$file"
                                makearchive `ls -A` >$temp
@@ -143,9 +143,10 @@
 
 if [ $# -eq 0 ]
 then
-       name=`basename $0`
-       echo "Usage: $name filename"
+       echo "Usage: $progname filename"
        echo "$name: Outputs an uncompressed sparkive to stdout."
 fi
 
+progname=`basename $0`
+
 makearchive "$@"



Home | Main Index | Thread Index | Old Index